Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Refcountable_Guard_T< T > Class Template Reference

Increments the reference count in the constructor, the count is decremented in the destructor. More...

`#include <Refcountable_Guard_T.h>`

Inheritance diagram for TAO_Notify_Refcountable_Guard_T< T >:

[legend]
Collaboration diagram for TAO_Notify_Refcountable_Guard_T< T >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Refcountable_Guard_T (T *t)
| Constuctor.
| ~TAO_Notify_Refcountable_Guard_T ()
| Destructor.
T * | operator-> (void) const
| Redirection operator.
T & | operator * () const
## Private Attributes
T * | t_

## Detailed Description

### template<class T>
class TAO_Notify_Refcountable_Guard_T< T >

Increments the reference count in the constructor, the count is decremented in the destructor.

## Constructor & Destructor Documentation

template<class T>
TAO_Notify_Refcountable_Guard_T< T >::TAO_Notify_Refcountable_Guard_T | ( | T * | t | ) |

| Constuctor.

template<class T>
TAO_Notify_Refcountable_Guard_T< T >::~TAO_Notify_Refcountable_Guard_T | ( |  | ) |

| Destructor.

## Member Function Documentation

template<class T>
T& TAO_Notify_Refcountable_Guard_T< T >::operator * | ( |  | ) |

template<class T>
T* TAO_Notify_Refcountable_Guard_T< T >::operator-> | ( | void |  | ) | const

| Redirection operator.

## Member Data Documentation

template<class T>
T* TAO_Notify_Refcountable_Guard_T< T >::t_`[private]`

The documentation for this class was generated from the following file:

- Refcountable_Guard_T.h